// $Id: ITask.h,v 1.5 2003/04/09 10:26:45 ta_muto Exp $
// The base class of the task in info-db Wax.

#ifndef __wax_ITask_h
#define __wax_ITask_h

#include <common.h>
#include <IWriter.h>
#include <CEnvironment.h>

namespace wax {
	class ITask : public ICursor {
	public:
		virtual ~ITask();

		virtual bool parse(CEnvironment* runenv, xmlNodePtr cur) = 0;
		virtual bool execute() = 0;
		virtual void output(IWriter* writer) = 0;
	} ;
}

#endif
